#' Data: Post-Traumatic Stress Disorder
#'
#' A dataset containing items that measure Post-traumatic stress disorder symptoms \insertCite{armour2017network}{GGMncv}.
#' There are 20 variables (\emph{p}) and  221 observations (\emph{n}).
#'
#' \itemize{
#'   \item Intrusive Thoughts
#'   \item Nightmares
#'   \item Flashbacks
#'   \item Emotional cue reactivity
#'   \item Psychological cue reactivity
#'   \item Avoidance of thoughts
#'   \item Avoidance of reminders
#'   \item Trauma-related amnesia
#'   \item Negative beliefs
#'   \item Negative trauma-related emotions
#'   \item Loss of interest
#'   \item Detachment
#'   \item Restricted affect
#'   \item Irritability/anger
#'   \item Self-destructive/reckless behavior
#'   \item Hypervigilance
#'   \item Exaggerated startle response
#'   \item Difficulty concentrating
#'   \item Sleep disturbance
#' }
#'
#' @docType data
#'
#' @keywords datasets
#'
#' @name ptsd
#'
#' @usage data("ptsd")
#'
#' @references
#'
#' \insertAllCited{}
#'
#' @format A dataframe with 221 rows and 20 variables
NULL


#' @title Data: Sachs Network
#'
#' @description Protein expression in human immune system cells
#'
#' @name Sachs
#'
#' @docType data
#'
#' @keywords datasets
#'
#' @usage data("Sachs")
#'
#' @examples
#' data("Sachs")
#'
#' @format A data frame containing 7466 cells (n = 7466) and flow cytometry
#'  measurements of 11 (p = 11) phosphorylated proteins and phospholipids
#'  \insertCite{sachs2002bayesian}{GGMncv}
#'
#' @references
#' \insertAllCited{}
NULL
